Summary: An XML parser library
Name: expat
Version: 2.0.1
Release: 11%{?dist}
Group: System Environment/Libraries
Source: http://downloads.sourceforge.net/expat/expat-%{version}.tar.gz
Patch1: expat-2.0.1-confcxx.patch
Patch2: expat-2.0.1-CVE-2009-3560-revised.patch
Patch3: expat-1.95.8-CVE-2009-3720.patch
Patch4: expat-2.0.1-CVE-2012-0876.patch
Patch5: expat-2.0.1-CVE-2012-1148.patch
URL: http://www.libexpat.org/
License: MIT
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: autoconf, automake, libtool, check-devel

%description
This is expat, the C library for parsing XML, written by James Clark. Expat
is a stream oriented XML parser. This means that you register handlers with
the parser prior to starting the parse. These handlers are called when the
parser discovers the associated structures in the document being parsed. A
start tag is an example of the kind of structures for which you may
register handlers.

%package devel
Summary: Libraries and header files to develop applications using expat
Group: Development/Libraries
Requires: expat = %{version}-%{release}

%description devel
The expat-devel package contains the libraries, include files and documentation
to develop XML applications with expat.

%prep
%setup -q
%patch1 -p1 -b .confcxx
%patch2 -p1 -b .newcve3560
%patch3 -p1 -b .cve3720
%patch4 -p1 -b .cve0876
%patch5 -p1 -b .cve1148

%build
rm -rf autom4te*.cache
rm conftools/libtool.m4
libtoolize --copy --force --automake && aclocal && autoheader && autoconf
export CFLAGS="$RPM_OPT_FLAGS -fPIC"
%configure --libdir=/%{_lib}
make %{?_smp_mflags}

%install
rm -rf ${RPM_BUILD_ROOT}

rm -f examples/*.dsp
chmod 644 README COPYING Changes doc/* examples/*

make install DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_libdir}
mv $RPM_BUILD_ROOT/%{_lib}/libexpat.{so,a} $RPM_BUILD_ROOT%{_libdir}

rm -f $RPM_BUILD_ROOT/%{_lib}/libexpat.la

lib=`echo $RPM_BUILD_ROOT/%{_lib}/libexpat.so.*.*`
ln -sf ../../%{_lib}/`basename ${lib}` $RPM_BUILD_ROOT%{_libdir}/libexpat.so

%check
make check

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README COPYING
%{_bindir}/*
/%{_lib}/lib*.so.*
%{_mandir}/*/*

%files devel
%defattr(-,root,root)
%doc Changes doc examples
%{_libdir}/lib*.so
%{_libdir}/lib*.*a
%{_includedir}/*.h


%changelog

